GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

          • Get User List
          • Get User Information
          • Batch Get User Information
          • Create User
          • Batch Create Users
          • Update User Profile
          • Batch Update User Profile
          • Delete Users
          • Get User External Identity Sources
          • Get User Role List
          • Get User Real-name Authentication Info
          • Delete User Real-name Authentication Info
          • Get User Department List
          • Set User Departments
          • Get User Group List
          • Get User MFA Binding Info
          • Get Archived User List
          • Force Logout Users
          • Check if User Exists
          • Get User Accessible Apps
          • Get User Authorized Apps
          • Check if User Has Role
          • Get User Login History
          • Get User Previously Logged In Apps
          • Get User Previously Logged In Identity Sources
          • User Resignation
          • Batch User Resignation
          • Get User Authorized Resources
          • Check User Session Status in Application
          • Import User OTP
        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. User Management

  10. /
  11. Check if User Has Role

¶ Determine whether the user has a certain role

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Determine whether the user has a certain role through the user ID. Supports passing in multiple roles, and can choose to specify the user ID type, etc.

¶ Method name

ManagementClient.has_any_role

¶ Request parameters

NameType
Is it required
Default value
Description
Sample value
rolesHasRoleRolesDto[]Yes-Role list
userIdstringYes-The unique identifier of the user, which can be user ID, user name, email, phone number, externalId, or ID in an external identity source. For details, see the description of the userIdType field. The default is user id.6229ffaxxxxxxxxcade3e3d9
optionsHasAnyRoleOptionsDtoNo-Optional parameters

¶ Request Response

Type: HasAnyRoleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataHasAnyRoleDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "hasAnyRole": true
  }
}

¶ Data Structure

¶ HasRoleRolesDto

NameType
Required
Description
Sample value
namespacestringNoCode of the permission group (permission space). If not passed, the default permission group is obtained.default
codestringyesrole codeadmin

¶ HasAnyRoleOptionsDto

| Name | Type |

Is it required?
|
Description
|
Sample value
| | ---------- | ------ | -------------------------------------- | ---------------------------- ... 6319a1504f3xxxxf214dd5b7
- phone: user's phone number
- email: user's email address
- username: user name
- external_id: user's ID in the external system, corresponding to the externalId field in the GenAuth user information
- identity: user's external identity source information, in the format of <extIdpId>:<userIdInIdp>, where <extIdpId> is the ID of the GenAuth identity source, and <userIdInIdp> is the user's ID in the external identity source.
Example value: 62f20932716fbcc10d966ee5:ou_8bae746eac07cd2564654140d2a9ac61.
- sync_relation: The user's external identity source information, in the format of <provier>:<userIdInIdp>, where <provier> is the type of sync identity source, such as wechatwork, lark; <userIdInIdp> is the user's ID in the external identity source.
Example value: lark:ou_8bae746eac07cd2564654140d2a9ac61.
| user_id |

¶ HasAnyRoleDto

NameType
Is it required?
Description
Sample value
hasAnyRolebooleanYesDoes it have any of the roles?true
Previous article: Get User Authorized Apps Next article: Get User Login History
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.